Set a new password
Changes the authenticated user's password by verifying the old password and setting a new one. Requires HPP API key authentication.
API Key:
ApiKeyAuth
- Parameter name
Authorization- Located in
header
Accept
header · string
Request body
Request schema
old_password*string · password
The user's current password.
new_password*string · password
The new password to set.
Responses
Response schema
messagestring
Authorization Token Missing. This error is returned when the authorization token is missing.
Response schema
errorstring
Error message
example:
Authorization Token is missingUnprocessable Parameters. This error is returned when a parameter is not valid.
Response schema
messagestring
example:
The given data was invalid.errorsobject
filterarray<string>
[]string
sortarray<string>
[]string
pagearray<string>
[]string
per_pagearray<string>
[]string
Server error. An unexpected condition was encountered on the server and the
request could not be completed. The body is a generic JSON envelope with a
`message` field. The response is logged on the server side; quote the
request URL + timestamp when reporting an issue.
Response schema
messagestring
exceptionstring
Only present in non-production environments.
filestring
Only present in non-production environments.
lineinteger
Only present in non-production environments.
post
https://cockpit.voxbi.com/api/v1/edit-password
Base URL
Request sample
curl -X POST 'https://cockpit.voxbi.com/api/v1/edit-password' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
--data '{"old_password":"currentPassword123","new_password":"newStrongPassword456"}'
const response = await fetch('https://cockpit.voxbi.com/api/v1/edit-password', {
method: 'POST',
headers: {
'Content-Type': 'application/json',
'Authorization': `Bearer ${YOUR_TOKEN}`,
},
body: JSON.stringify({
"old_password": "currentPassword123",
"new_password": "newStrongPassword456"
}),
});
const data = await response.json();
console.log(data);
import requests
response = requests.post('https://cockpit.voxbi.com/api/v1/edit-password',
headers={'Authorization': f'Bearer {YOUR_TOKEN}'},
json={
"old_password": "currentPassword123",
"new_password": "newStrongPassword456"
}
)
response.raise_for_status()
data = response.json()
print(data)
<?php
$context = stream_context_create([
'http' => [
'method' => 'POST',
'header' => "Content-Type: application/json\r\nAuthorization: Bearer YOUR_TOKEN",
'content' => '{
\"old_password\": \"currentPassword123\",
\"new_password\": \"newStrongPassword456\"
}',
],
]);
$response = file_get_contents('https://cockpit.voxbi.com/api/v1/edit-password', false, $context);
$data = json_decode($response, true);
print_r($data);
Sample request
{ … }
"old_password": "currentPassword123",
"new_password": "newStrongPassword456"
}
{ … }
"message": "Password updated successfully."
}
Host
string
example:
0.0.0.0:8083
Date
string
example:
Thu, 12 Oct 2023 12:25:52 GMT
Connection
string
example:
close
Cache-Control
string
example:
no-cache, private
Content-Type
string
example:
application/json
X-RateLimit-Limit
integer
example:
60
X-RateLimit-Remaining
integer
example:
59
Access-Control-Allow-Origin
string
example:
*{ … }
"error": "Authorization Token is missing"
}
Cache-Control
string
example:
private, must-revalidate
Connection
string
example:
keep-alive
Content-Type
string
example:
application/json
Vary
string
example:
Origin
X-RateLimit-Limit
integer
Max requests allowed in the current rate-limit window.
example:
60
X-RateLimit-Remaining
integer
Requests remaining in the current rate-limit window.
example:
57{ … }
"errors": { … }
"filter": [ … ],
"The filter field must be an array."
],
"sort": [ … ],
"The sort field must be a string."
],
"page": [ … ],
"The page field must be an integer."
],
"per_page": [ … ]
"The per page field must be an integer."
]
}
}
Cache-Control
string
example:
private, must-revalidate
Connection
string
example:
keep-alive
Content-Type
string
example:
application/json
Vary
string
example:
Origin
X-RateLimit-Limit
integer
Max requests allowed in the current rate-limit window.
example:
60
X-RateLimit-Remaining
integer
Requests remaining in the current rate-limit window.
example:
57{ … }
"message": "Server Error"
}